Bug 806978 - Volume name or brick name containing "ro", such as "korolev" may cause read-only volume
Volume name or brick name containing "ro", such as "korolev" may cause read-o...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ric Wheeler
Sudhir D
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-26 12:53 EDT by Yang Ye
Modified: 2015-08-10 03:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yang Ye 2012-03-26 12:53:21 EDT
1. To reproduce the problem:

gluster> volume create korolev replica 2 transport tcp 192.168.2.102:/mnt/b/korolev 192.168.2.103:/mnt/a/korolev

mount in /etc/fstab
192.168.2.103:/korolev    /home/korolev    glusterfs defaults,_netdev,loglevel=WARNING,log-file=/var/log/gluster-korolev.log      0 0


2. This avoids the problem:

gluster> volume create k replica 2 transport tcp 192.168.2.102:/mnt/b/k 192.168.2.103:/mnt/a/k

This 
192.168.2.103:/k          /home/korolev    glusterfs defaults,_netdev,loglevel=WARNING,log-file=/var/log/gluster-korolev.log      0 0
Comment 1 Anand Avati 2012-04-13 03:20:11 EDT
CHANGE: http://review.gluster.com/3058 (mount.glusterfs: multiple fixes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2012-04-13 03:41:23 EDT
Thanks to Jeff Darcy for making sure we fix most of the parsing issues in the mount file
Comment 4 Gowrishankar Rajaiyan 2012-05-31 03:40:21 EDT
[root@dhcp201-221 ~]# gluster volume create ro dhcp201-214.englab.pnq.redhat.com:/export/shanks/shanks3
Creation of volume ro has been successful. Please start the volume to access data.
[root@dhcp201-221 ~]# gluster volume start ro
Starting volume ro has been successful
[root@dhcp201-221 ~]# 


[root@dhcp201-214 shanks2]# mount -t glusterfs dhcp201-221.englab.pnq.redhat.com:/ro /export/mount/shanks3
[root@dhcp201-214 shanks2]# cd /export/mount/shanks3
[root@dhcp201-214 shanks3]# touch a
[root@dhcp201-214 shanks3]# ls -l
total 4
-rw-r--r--. 1 root root 0 May 31 06:05 a
[root@dhcp201-214 shanks3]# 

Verified: glusterfs-3.3.0qa45-1.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.